import request from '@/utils/request'

// 订单列表
export function getOrderList(data) {
  return request({
    url: '/purchaseOrder/get/page',
    method: 'post',
    data
  })
}

// 保存物流
export function submitTrans(data) {
  return request({
    url: '/purchaseOrder/save/logistics',
    method: 'post',
    data
  })
}

// 订单-详情
export function getOrderDetail(params) {
  return request({
    url: '/purchaseOrder/get/' + params.id,
    method: 'get'
  })
}
// 发票

// 发票列表
export function getInvoiceList(params) {
  return request({
    url: '/purchaseOrder/list',
    method: 'get',
    params
  })
}

// 物流

// 物流列表
export function getTransportList(data) {
  return request({
    url: '/purchaseOrder/get/logisticsPage',
    method: 'post',
    data
  })
}
